> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Asn



## OpenAPI

````yaml /openapi.json put /service/{tenant_name}/asn/{asn}
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/asn/{asn}:
    put:
      tags:
        - service - asn
      summary: Update Asn
      operationId: update_asn_service__tenant_name__asn__asn__put
      parameters:
        - name: asn
          in: path
          required: true
          schema:
            type: integer
            title: Asn
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NBTenantUpdateASNRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBTenantUpdateASNRequest:
      properties:
        labels:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Labels
      type: object
      title: NBTenantUpdateASNRequest
    NBRequestResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        status:
          $ref: '#/components/schemas/ConfigurationRequestStatus'
        extra_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Details
      type: object
      required:
        - id
        - created_at
        - updated_at
        - status
      title: NBRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConfigurationRequestStatus:
      type: string
      enum:
        - received
        - in_progress
        - success
        - failed
        - cancelled
      title: ConfigurationRequestStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````